## Update a capture

### cURL

```bash
curl --request PATCH \
  --url https://api.withflex.com/v1/captures/{capture_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\n{\n  "capture": {\n    "metadata": {\n      "order_id": "8842",\n      "channel": "shopify"\n    }\n  }\n}'
```

### Python

```python
import requests

url = "https://api.withflex.com/v1/captures/{capture_id}"

payload = { "capture": { "metadata": {
            "order_id": "8842",
            "channel": "shopify"
        } } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({capture: {metadata: {order_id: '8842', channel: 'shopify'}}})
};

fetch('https://api.withflex.com/v1/captures/{capture_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
<?php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.withflex.com/v1/captures/{capture_id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    'capture' => [
        'metadata' => [
                'order_id' => '8842',
                'channel' => 'shopify'
        ]
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api.withflex.com/v1/captures/{capture_id}"

payload := strings.NewReader("{\n  \"capture\": {\n    \"metadata\": {\n      \"order_id\": \"8842\",\n      \"channel\": \"shopify\"\n    }\n  }\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```java
HttpResponse<String> response = Unirest.patch("https://api.withflex.com/v1/captures/{capture_id}")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"capture\": {\n    \"metadata\": {\n      \"order_id\": \"8842\",\n      \"channel\": \"shopify\"\n    }\n  }\n}")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/captures/{capture_id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"capture\": {\n    \"metadata\": {\n      \"order_id\": \"8842\",\n      \"channel\": \"shopify\"\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

### Possible Responses

| Status Code | Description |
|-------------|-------------|
| 200         | Success     |
| 401         | Unauthorized |
| 403         | Forbidden    |
| 404         | Not Found    |
| 409         | Conflict     |
| 422         | Unprocessable Entity |
| 429         | Too Many Requests |

### Example Response

```json
{
  "capture": {
    "amount_captured": 2500,
    "amount_shipping_captured": 2500,
    "amount_discount_captured": 2500,
    "amount_tax_captured": 2500,
    "capture_id": "fcap_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "created_at": "2026-06-15T14:30:00Z",
    "items": [
      {}
    ],
    "metadata": {
      "order_id": "8842",
      "channel": "shopify"
    },
    "test_mode": false
  }
}
```

### Error Response

```json
{
  "code": "string",
  "detail": "string"
}
```

### Path Parameters

- **capture_id**: The ID of the capture to update, required.

### Request Body

- **capture**: An object containing the metadata to update.
